package com.fhkj.oltinspection.util;

import java.io.IOException;
import java.util.Arrays;

import com.fhkj.oltinspection.entity.FtpConfigEntity;
import com.fhkj.oltinspection.pojo.Result;

import org.apache.commons.net.ftp.FTPClient;

/**
 * @author 胡懿
 * @see 这个了用来操作ftp
 */
public class FTPUtil {
    /**
     * @see 用来来登录ftp
     * @param com.fhkj.oltinspection.entity.FtpConfigEntity
     * @exception IOException
     * @return Result
     */
    public static Result loginFtp(FtpConfigEntity ftpConfigEntity) {
        if (ftpConfigEntity == null) {
            return new Result("在数据库中未能获取到ftp的连接配置信息", false);
        }
        String host = ftpConfigEntity.getHost();
        Integer port = ftpConfigEntity.getPort();
        String username = ftpConfigEntity.getUsername();
        String password = ftpConfigEntity.getPassword();
        if (null == host || "".equals(host.trim())) {
            return new Result("IP为空", false);
        }
        if (null == port || "0".equals(port)) {
            return new Result("port为空", false);
        }
        if (null == username || "".equals(username.trim())) {
            return new Result("username为空", false);
        }
        if (null == password || "".equals(password.trim())) {
            return new Result("password为空", false);
        }
        FTPClient ftpClient = new FTPClient(); // 创建ftp连接对象
        try {
            ftpClient.connect (host, port); // 设置ip和端口
            ftpClient.login (username, password); // 设置用户名和密码
            String[] ftpFileNames = ftpClient.listNames();
            System.out.println(Arrays.toString(ftpFileNames));
            if (ftpClient.isConnected()) { // 判断ftp是否连接
                ftpClient.logout(); // 退出ftp登录
                ftpClient.disconnect(); // 关闭连接
            }
        } catch (IOException e) {
            return new Result("出现连接异常", PackageExceptionUtil.exceptionToString(e));
        }
        return new Result();
    }
}